﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Design;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using Infragistics.Shared;
using Infragistics.Win;
using Infragistics.Win.UltraWinMaskedEdit;
using Infragistics.Win.UltraWinEditors;

namespace NumericUserControlProperties.Shared.BaseClasses
{
    [Designer(typeof(NumericEditorBaseDesigner))]
    public partial class NumericEditorBase : UserControl
    {
        #region .   Variables   .

        #region .   Use OS Themes   .
        [Description("Indicates whether the elements of a control may be rendered using the operating system theme rendering."), Category("Appearance")]
        public DefaultableBoolean UseOsThemes
        {
            get { return this.ultraNumericEditor1.UseOsThemes; }
            set { this.ultraNumericEditor1.UseOsThemes = value; }
        }
        #endregion

        #region .   Mask Input   .
        [Description("Gets/sets the input mask used by the control."), Category("Behavior")]
        [Editor(typeof(MaskUITypeEditor), typeof(UITypeEditor))]
        [TypeConverter(typeof(MaskTypeConverter))]
        public string MaskInput
        {
            get { return this.ultraNumericEditor1.MaskInput; }
            set { this.ultraNumericEditor1.MaskInput = value; }
        }
        #endregion

        #region .   Numeric Type   .
        [Description("Gets/sets the type of numeric data the control supports."), Category("Behavior")]
        public NumericType NumericType
        {
            get { return this.ultraNumericEditor1.NumericType; }
            set { this.ultraNumericEditor1.NumericType = value; }
        }
        #endregion

        #region .   Min Value   .
        [Description("Gets/sets the control's minimum allowable value."), Category("Behavior")]
        [TypeConverter(typeof(StringConverter))]
        public object MinValue
        {
            get { return this.ultraNumericEditor1.MinValue; }
            set { this.ultraNumericEditor1.MinValue = value; }
        }
        #endregion

        #region .   Max Value   .
        [Description("Gets/sets the control's maximum allowable value."), Category("Behavior")]
        [TypeConverter(typeof(StringConverter))]
        public object MaxValue
        {
            get { return this.ultraNumericEditor1.MaxValue; }
            set { this.ultraNumericEditor1.MaxValue = value; }
        }
        #endregion

        #endregion

        public NumericEditorBase()
        {
            InitializeComponent();
        }
    }
}
